import { NgModule, enableProdMode, ErrorHandler } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { EJ_GRID_COMPONENTS } from './ej/grid.component';
import { EJ_DIALOG_COMPONENTS } from './ej/dialog.component';
import { EJ_SPLITTER_COMPONENTS } from './ej/splitter.component';
import { AppComponent } from './app.component';
import { HomeComponent } from './home/home.component';
import { GridComponent } from './grid/grid.component';
import {DynamicComponent} from './grid/dynamic-component';
import DynamicGridComponent from './grid/grid-dynamic-component';
import { rootRouterConfig } from './app.routes';

enableProdMode();

class CustomErrorHandler implements ErrorHandler {
  call(error, stackTrace = null, reason = null) {
    console.log(error + "\n" + stackTrace);
  }
  handleError(error: any): void {
    console.log(error);
  }
}

@NgModule({
  imports: [BrowserModule, FormsModule, HttpModule, RouterModule.forRoot(rootRouterConfig, { useHash: true })],
  declarations: [AppComponent, EJ_GRID_COMPONENTS,EJ_DIALOG_COMPONENTS, EJ_SPLITTER_COMPONENTS, HomeComponent, GridComponent,DynamicComponent,DynamicGridComponent],
  bootstrap: [AppComponent]
})
export class AppModule { }